import * as nodejs from "aws-cdk-lib/aws-lambda-nodejs";
import { Construct } from "constructs";
import { FunctionAlarms, FunctionAlarmsOptions } from "./function-alarms";
import { FunctionDeployment } from "./function-deployment";
import { DeployedFunctionOptions } from "./function";
/**
 * Properties for NodejsFunction
 */
export interface NodejsFunctionProps extends nodejs.NodejsFunctionProps, FunctionAlarmsOptions, DeployedFunctionOptions {
}
/**
 * Extended version of the NodejsFunction that supports alarms and deployments and modified defaults.
 */
export declare class NodejsFunction extends nodejs.NodejsFunction {
    readonly alarms: FunctionAlarms;
    readonly deployment: FunctionDeployment;
    private static findDepsLockFile;
    constructor(scope: Construct, id: string, props: NodejsFunctionProps);
}
